hwloc_topology_diff_obj_attr_u::hwloc_topology_diff_obj_attr_string_s(3)

NAME
hwloc_topology_diff_obj_attr_u::hwloc_topology_diff_obj_attr_string_s

SYNOPSIS

#include <diff.h>

  Data Fields
hwloc_topology_diff_obj_attr_type_t type
char * name
char * oldvalue
char * newvalue

Detailed Description

String attribute modification with an optional name.

Field Documentation

  char* hwloc_topology_diff_obj_attr_u::hwloc_topology_diff_obj_attr_string_s::name

  char* hwloc_topology_diff_obj_attr_u::hwloc_topology_diff_obj_attr_string_s::newvalue

  char* hwloc_topology_diff_obj_attr_u::hwloc_topology_diff_obj_attr_string_s::oldvalue

  hwloc_topology_diff_obj_attr_type_t hwloc_topology_diff_obj_attr_u::hwloc_topology_diff_obj_attr_string_s::type

Author

Generated automatically by Doxygen for Hardware Locality (hwloc) from the source code.